#!/usr/bin/env python

from os.path import join
from os import walk
import re, sys

pattern = re.compile(r"(?<!{){[^{}]+}")

if len(sys.argv) < 2:
    print >>sys.stderr, "Need a directory name."
    sys.exit(1)

dirname = sys.argv[1]

for dirpath, dirnames, filenames in walk(dirname):
    for filename in filenames:
        f = open(join(dirpath, filename))
        try:
            for match in pattern.finditer(f.read()):
                print match.group()
        finally:
            f.close()

# vim: tabstop=4 expandtab shiftwidth=4
